Update campaign flight

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Campaign Budget Types

Campaign Flights determine their budget requirements based on the Campaign's budget type:

MONETARY Campaigns

  • Required: maxBudget (in USD)
  • Optional: dailyBudget

IMPRESSIONS Campaigns

  • Required: lifetimeImpCap
  • Optional: dailyImpCap

The API validates the appropriate fields based on the Campaign's budget type.

Request Body

NameTypeDescriptionRequired
idStringCampaign Flight ID.Yes
budgetTypeStringOne of: FIXED_BUDGET, AUTO_BUDGETNo
dailyBudgetNumberThe daily budget limit in USD.Optional. Only applicable for MONETARY campaigns.
dailyFrontloadNumberDaily frontload percentage.Required when budgetType is AUTO_BUDGET. Ignored for FIXED_BUDGET.
maxBudgetNumberThe maximum budget for the campaign flight in USD.Required if campaign budget type is MONETARY.
dailyImpCapNumberThe daily impressions cap.Optional. Only applicable for IMPRESSIONS campaigns.
lifetimeImpCapNumberThe total lifetime impressions cap for the campaign flight.Required if campaign budget type is IMPRESSIONS.
startDateNumberStart date of the campaign flight, passed as Unix time in milliseconds.Yes
endDateNumberEnd date of the campaign flight, passed as Unix time in milliseconds.Yes
statusStringCampaign Flight status (e.g., PENDING, ACTIVE).No

Examples

Updating a Campaign Flight for a MONETARY Campaign with FIXED_BUDGET

{
  "id": "319794",
  "budgetType": "FIXED_BUDGET",
  "maxBudget": 10000,
  "dailyBudget": 1000,
  "startDate": 1766476800000,
  "endDate": 1769088800000
}

Updating a Campaign Flight for a MONETARY Campaign with AUTO_BUDGET

{
  "id": "319794",
  "budgetType": "AUTO_BUDGET",
  "maxBudget": 10000,
  "dailyFrontload": 0.75,
  "startDate": 1766476800000,
  "endDate": 1769088800000
}

Updating a Campaign Flight for an IMPRESSIONS Campaign with FIXED_BUDGET

{
  "id": "319794",
  "budgetType": "FIXED_BUDGET",
  "lifetimeImpCap": 500000,
  "dailyImpCap": 50000,
  "startDate": 1766476800000,
  "endDate": 1769088800000
}

Updating a Campaign Flight for an IMPRESSIONS Campaign with AUTO_BUDGET

{
  "id": "319794",
  "budgetType": "AUTO_BUDGET",
  "lifetimeImpCap": 500000,
  "dailyFrontload": 0.75,
  "startDate": 1766476800000,
  "endDate": 1769088800000
}
Path Params
integer
required

Flight ID

Body Params
Responses

401

Unauthorized

403

Forbidden

404

Not Found

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json